Index: /trunk/SophyaExt/FitsIOServer/fitsbntbllineRW.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsbntbllineRW.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsbntbllineRW.h	(revision 3572)
@@ -6,5 +6,4 @@
 #include "dvlist.h"
 #include "fitsfile.h"
-//#include "xntuple.h"
 
 namespace SOPHYA {
@@ -66,5 +65,5 @@
 
 public:
- FITS_BntblLineWriter(char inputfile[],int dc, int fc, int ic, int lc, int bc,int cc, vector<string> names, DVList* dvl=NULL, FitsFile::WriteMode wrm = FitsFile::clear);
+ FITS_BntblLineWriter(const char inputfile[],int dc, int fc, int ic, int lc, int bc,int cc, vector<string> names, DVList* dvl=NULL, FitsFile::WriteMode wrm = FitsFile::clear);
 ~FITS_BntblLineWriter();
  void WriteNextLine( BnTblLine& WorkLine);
Index: /trunk/SophyaExt/FitsIOServer/fitsfile.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsfile.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsfile.cc	(revision 3572)
@@ -228,5 +228,5 @@
 */
 
-/*! \fn void  SOPHYA::FitsIOHandler::Read(char flnm[],int hdunum)
+/*! \fn void  SOPHYA::FitsIOHandler::Read(const char flnm[],int hdunum)
 
 this method is called from inherited objects : 
@@ -238,5 +238,5 @@
 calls the method 'ReadFromFits' from the inherited  object
 */ 
-void   FitsIOHandler::Read(char flnm[],int hdunum)
+void   FitsIOHandler::Read(const char flnm[],int hdunum)
 {
   FitsInFile ifts(flnm);
@@ -274,5 +274,5 @@
 
 */ 
-void FitsIOHandler::Write(char flnm[]) 
+void FitsIOHandler::Write(const char flnm[]) 
 
 {
@@ -327,5 +327,5 @@
 }
 
-void FitsFile::printerror(int& status, char* texte) 
+void FitsFile::printerror(int& status, const char* texte) 
   //*****************************************************/
   //* Print out cfitsio error messages and exit program */
@@ -338,5 +338,5 @@
   throw IOExc("FitsFile:: error FITSIO status");
 }
-void FitsFile::printerrorAndContinue(int& status, char* texte) 
+void FitsFile::printerrorAndContinue(int& status, const char* texte) 
   //*****************************************************/
   //* Print out cfitsio error messages and exit program */
@@ -1534,5 +1534,5 @@
   char dtype;
   char card[FLEN_CARD];  
-  char *comkey = "COMMENT";
+  const char *comkey = "COMMENT";
   char comment[FLEN_COMMENT];
 
@@ -2198,5 +2198,5 @@
       char comment[FLEN_COMMENT];
       char strval[FLEN_VALUE]= "";
-      char *comkey = "COMMENT";
+      const char *comkey = "COMMENT";
       //      fits_read_keyword(fptr_, keyname, strval, NULL, &status);
       //  if (status != 0 || strncmp(keyname,comkey,LEN_KEYWORD-1) == 0 ) 
@@ -2527,5 +2527,5 @@
       default :
 	{
-	  char *comkey = "COMMENT";
+	  const char *comkey = "COMMENT";
 	  if(strncmp(keyname,comkey,LEN_KEYWORD-1) == 0)
 	    {
Index: /trunk/SophyaExt/FitsIOServer/fitsfile.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsfile.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsfile.h	(revision 3572)
@@ -64,6 +64,6 @@
 
    virtual ~FitsIOHandler() {}
-   void   Read(char flnm[],int hdunum= 0);
-   void   Write(char flnm[]) ;
+   void   Read(const char flnm[],int hdunum= 0);
+   void   Write(const char flnm[]) ;
 
    //Implementation par defaut de l'interface FitsHandlerInterface
@@ -181,6 +181,6 @@
 void         ResetStatus(int& status) ; 
 static  void printerror(int&) ;
-static  void printerror(int&,char* texte) ;
-static  void printerrorAndContinue(int& status, char* texte);
+static  void printerror(int&,const char* texte) ;
+static  void printerrorAndContinue(int& status,const char* texte);
 inline void  InitNull() 
   {
Index: /trunk/SophyaExt/FitsIOServer/fitsinoutfile.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsinoutfile.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsinoutfile.cc	(revision 3572)
@@ -157,5 +157,5 @@
 }
 /* -- Fonction utilitaire pour verifier le code d'erreur fitsio -- */
-static inline bool FitsCheckStatus(int st, char * emsg = NULL) {
+static inline bool FitsCheckStatus(int st, const char * emsg = NULL) {
   if (st) {
     fits_report_error(stderr, st);
@@ -272,5 +272,5 @@
 int FitsInOutFile::CurrentHDU()  const
 {
-  int status = 0;
+  //unused: int status = 0;
   int curhdu = 0;
   fits_get_hdu_num(FitsPtr() , &curhdu);
@@ -496,9 +496,10 @@
   int colnum, typecode;
   LONGLONG repeat, colw;   // $CHECK$ LONGLONG ???
-  int ncols = 0;
+  //unused: int ncols = 0;
   char colname[128];  // longueur max d'un nom de colonne
 
   while (status != COL_NOT_FOUND) {
-    fits_get_colname(FitsPtr(), CASEINSEN, "*", colname, &colnum, &status);
+    char dum[2]  = {'*','\0'};
+    fits_get_colname(FitsPtr(), CASEINSEN, dum, colname, &colnum, &status);
     if (status == COL_NOT_FOUND)  break;
     if ( (status != COL_NOT_UNIQUE) && (status != 0) ) {
@@ -665,5 +666,5 @@
 
   CheckFitsPtr(FitsPtr()); 
-  int status = 0;
+  //unused: int status = 0;
   DVList::ValList::const_iterator it;
   for(it = dvl.Begin(); it != dvl.End(); it++)  
Index: /trunk/SophyaExt/FitsIOServer/fitsioserver.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsioserver.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsioserver.h	(revision 3572)
@@ -19,5 +19,4 @@
 #include "fitsspherehealpix.h"
 #include "fitsntuple.h"
-// #include "fitsxntuple.h"
 #include "fitslocalmap.h"
 
Index: /trunk/SophyaExt/FitsIOServer/fitsmanager.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsmanager.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsmanager.cc	(revision 3572)
@@ -80,5 +80,5 @@
   int hfg = 0;
   int bhfg = 0;
-  int clev = 0;
+  //unused: int clev = 0;
   int blev = 0;
   for(it = hlistp->begin(); it != hlistp->end(); it++) {
@@ -196,5 +196,5 @@
       LONGLONG naxes[5] = {0,0,0,0,0};
       int naxis=5;
-      int imgtyp = is.GetImageHDUInfo(naxis, naxes);
+      //unused: int imgtyp = is.GetImageHDUInfo(naxis, naxes);
       os << ">> IMAGE_HDU:  naxis= " << naxis << " : ";
       for(int i=0; i<naxis; i++) {
@@ -212,5 +212,5 @@
       else os << ">> ASCII_TBL :  NRows= " << is.GetNbRows();
       os << " x NCols= " << ncols << endl;
-      for(int kk=0; kk<colnames.size(); kk++) {
+      for(size_t kk=0; kk<colnames.size(); kk++) {
 	os << "Col[" << kk+1 << "]  Name= " << colnames[kk] 
 	     << " Type= " << FitsTypes::DataTypeToTypeString(coltypes[kk])
Index: /trunk/SophyaExt/FitsIOServer/fitsntuple.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsntuple.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsntuple.h	(revision 3572)
@@ -53,5 +53,5 @@
 
 /*!
-fill the XNTuple only with lines from firstLine-th to (firstLine+numberOfLines-1)-th of the FITS-file inputfile.
+fill the NTuple only with lines from firstLine-th to (firstLine+numberOfLines-1)-th of the FITS-file inputfile.
 \param <firstLine>  first line  to be read (the first line of the file is numbered 0)
 \param <numberOfLines>  number of lines to be read
Index: /trunk/SophyaExt/FitsIOServer/fitsspherehealpix.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsspherehealpix.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsspherehealpix.cc	(revision 3572)
@@ -27,5 +27,5 @@
   
 template <class T>
-FITS_SphereHEALPix<T>::FITS_SphereHEALPix(char inputfile[],int hdunum)
+FITS_SphereHEALPix<T>::FITS_SphereHEALPix(const char inputfile[],int hdunum)
 {
     dobj_= new SphereHEALPix<T>;
@@ -266,5 +266,5 @@
 
 template <class T>
-void FITS_SphereHEALPix<T>::Mollweide_picture_projection(char filename[])
+void FITS_SphereHEALPix<T>::Mollweide_picture_projection(const char filename[])
 {
   int ni = 300;
@@ -297,5 +297,5 @@
 }
 template <class T>
-void FITS_SphereHEALPix<T>::sinus_picture_projection(char filename[])
+void FITS_SphereHEALPix<T>::sinus_picture_projection(const char filename[])
 {
   int ni = 300;
Index: /trunk/SophyaExt/FitsIOServer/fitsspherehealpix.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsspherehealpix.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsspherehealpix.h	(revision 3572)
@@ -24,5 +24,5 @@
 
 FITS_SphereHEALPix();
-FITS_SphereHEALPix(char inputfile[],int hdunum=0); 
+FITS_SphereHEALPix(const char inputfile[],int hdunum=0); 
 FITS_SphereHEALPix(const SphereHEALPix<T>& obj);
 FITS_SphereHEALPix(SphereHEALPix<T>* obj);
@@ -35,6 +35,6 @@
 virtual FitsHandlerInterface* Clone();
 
-void Mollweide_picture_projection(char flnm[]);
-void sinus_picture_projection(char flnm[]);
+void Mollweide_picture_projection(const char flnm[]);
+void sinus_picture_projection(const char flnm[]);
 //void ReWriteFromFitsToFits(FitsInFile& headerin, FitsOutFile& os); 
 
Index: /trunk/SophyaExt/FitsIOServer/fitsspherethetaphi.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsspherethetaphi.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsspherethetaphi.cc	(revision 3572)
@@ -26,5 +26,5 @@
 
 template <class T>
-FITS_SphereThetaPhi<T>::FITS_SphereThetaPhi(char inputfile[],int hdunum)
+FITS_SphereThetaPhi<T>::FITS_SphereThetaPhi(const char inputfile[],int hdunum)
 {
     dobj_= new SphereThetaPhi<T>;
@@ -255,5 +255,5 @@
 
 template <class T>
-void FITS_SphereThetaPhi<T>::Mollweide_picture_projection(char filename[])
+void FITS_SphereThetaPhi<T>::Mollweide_picture_projection(const char filename[])
 {
   int ni = 300;
@@ -286,5 +286,5 @@
 }
 template <class T>
-void FITS_SphereThetaPhi<T>::sinus_picture_projection(char filename[])
+void FITS_SphereThetaPhi<T>::sinus_picture_projection(const char filename[])
 {
   int ni = 300;
Index: /trunk/SophyaExt/FitsIOServer/fitsspherethetaphi.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsspherethetaphi.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsspherethetaphi.h	(revision 3572)
@@ -22,5 +22,5 @@
 
 FITS_SphereThetaPhi();
-FITS_SphereThetaPhi(char inputfile[],int hdunum=0); 
+FITS_SphereThetaPhi(const char inputfile[],int hdunum=0); 
 FITS_SphereThetaPhi(const SphereThetaPhi<T>& obj);
 FITS_SphereThetaPhi(SphereThetaPhi<T>* obj);
@@ -33,6 +33,6 @@
 virtual FitsHandlerInterface* Clone();
 
-void Mollweide_picture_projection(char flnm[]);
-void sinus_picture_projection(char flnm[]);
+void Mollweide_picture_projection(const char flnm[]);
+void sinus_picture_projection(const char flnm[]);
 
 
Index: /trunk/SophyaExt/FitsIOServer/fitstarray.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitstarray.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitstarray.cc	(revision 3572)
@@ -24,5 +24,5 @@
 
 template <class T>
-FITS_TArray<T>::FITS_TArray(char inputfile[],int hdunum)
+FITS_TArray<T>::FITS_TArray(const char inputfile[],int hdunum)
 {
   dobj_=NULL;
Index: /trunk/SophyaExt/FitsIOServer/fitstarray.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitstarray.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitstarray.h	(revision 3572)
@@ -25,5 +25,5 @@
 
 FITS_TArray();
-FITS_TArray(char inputfile[],int hdunum=0);
+FITS_TArray(const char inputfile[],int hdunum=0);
 FITS_TArray(const TArray<T> & obj);
 FITS_TArray(TArray<T> *obj);
Index: /trunk/SophyaExt/FitsIOServer/objlist.list
===================================================================
--- /trunk/SophyaExt/FitsIOServer/objlist.list	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/objlist.list	(revision 3572)
@@ -5,5 +5,4 @@
 fbtntintf.o
 fiosinit.o
-fitsautoreader.o
 fitsbntbllineRW.o
 fitsfile.o
@@ -19,4 +18,3 @@
 fitsspherethetaphi.o
 fitstarray.o
-fitsxntuple.o
 swfitsdtable.o
Index: /trunk/SophyaExt/FitsIOServer/smakefile
===================================================================
--- /trunk/SophyaExt/FitsIOServer/smakefile	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/smakefile	(revision 3572)
@@ -4,8 +4,8 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsautoreader.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitsgenedata.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitshisterr.o $(SOPHYAOBJP)fitshistos.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)fitsxntuple.o $(SOPHYAOBJP)swfitsdtable.o
+	 rm -f $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitsgenedata.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitshisterr.o $(SOPHYAOBJP)fitshistos.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)swfitsdtable.o
 	rm -f $(SOPHYALIBP)libFitsIOServer.a
  
-$(SOPHYALIBP)libFitsIOServer.a : $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsautoreader.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitsgenedata.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitshisterr.o $(SOPHYAOBJP)fitshistos.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)fitsxntuple.o $(SOPHYAOBJP)swfitsdtable.o
+$(SOPHYALIBP)libFitsIOServer.a : $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitsgenedata.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitshisterr.o $(SOPHYAOBJP)fitshistos.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)swfitsdtable.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libextsophya.objlist
@@ -184,53 +184,4 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosinit.cc
  
-$(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
-  fitstarray.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ppersist.h fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h fbtntintf.h \
-  $(SOPHYAINCP)ntupintf.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
- 
 $(SOPHYAOBJP)fitsbntbllineRW.o: fitsbntbllineRW.cc \
   $(SOPHYAINCP)sopnamsp.h \
@@ -633,30 +584,4 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
-$(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)xntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
- 
 $(SOPHYAOBJP)swfitsdtable.o: swfitsdtable.cc swfitsdtable.h \
   $(SOPHYAINCP)basedtable.h \
Index: /trunk/SophyaExt/IFFTW/fftw3server.cc
===================================================================
--- /trunk/SophyaExt/IFFTW/fftw3server.cc	(revision 3571)
+++ /trunk/SophyaExt/IFFTW/fftw3server.cc	(revision 3572)
@@ -209,5 +209,5 @@
   sa_size_t n = in.NElts();
   sa_size_t ncs = n/2+1;
-  sa_size_t nc = (n%2 != 0) ? n/2+1 : n/2;
+  //unused: sa_size_t nc = (n%2 != 0) ? n/2+1 : n/2;
   if (out.NElts() != ncs)
     throw SzMismatchError("FFTWServer::ReShapetoCompl() - Wrong output array size !");
@@ -398,5 +398,5 @@
   sa_size_t n = in.NElts();
   sa_size_t ncs = n/2+1;
-  sa_size_t nc = (n%2 != 0) ? n/2+1 : n/2;
+  //unused: sa_size_t nc = (n%2 != 0) ? n/2+1 : n/2;
   if (out.NElts() != ncs)
     throw SzMismatchError("FFTWServer::ReShapetoCompl() - Wrong output array size !");
Index: /trunk/SophyaExt/LinAlg/intflapack.cc
===================================================================
--- /trunk/SophyaExt/LinAlg/intflapack.cc	(revision 3571)
+++ /trunk/SophyaExt/LinAlg/intflapack.cc	(revision 3572)
@@ -178,5 +178,5 @@
 extern "C" {
 // Le calculateur de workingspace
-  int_4 ilaenv(int_4 *ispec,char *name,char *opts,int_4 *n1,int_4 *n2,int_4 *n3,int_4 *n4,
+  int_4 ilaenv(int_4 *ispec,const char *name,const char *opts,int_4 *n1,int_4 *n2,int_4 *n3,int_4 *n4,
                 int_4 nc1,int_4 nc2);
 
@@ -300,5 +300,5 @@
 ////////////////////////////////////////////////////////////////////////////////////
 template <class T>
-int_4 LapackServer<T>::ilaenv_en_C(int_4 ispec,char *name,char *opts,int_4 n1,int_4 n2,int_4 n3,int_4 n4)
+int_4 LapackServer<T>::ilaenv_en_C(int_4 ispec,const char *name,const char *opts,int_4 n1,int_4 n2,int_4 n3,int_4 n4)
 {
  int_4 nc1 = strlen(name), nc2 = strlen(opts), rc=0;
@@ -519,5 +519,5 @@
   int_4 info;
 
-  int_4 minmn = (m < n) ? m : n;
+  //unused: int_4 minmn = (m < n) ? m : n;
   int_4 maxmn = (m > n) ? m : n;
   int_4 maxmnrhs = (nrhs > maxmn) ? nrhs : maxmn;
@@ -788,5 +788,5 @@
   int_4 m = a.Size(rowa);
   int_4 n = a.Size(cola);
-  int_4 maxmn = (m > n) ? m : n;
+  //unused: int_4 maxmn = (m > n) ? m : n;
   int_4 minmn = (m < n) ? m : n;
 
Index: /trunk/SophyaExt/LinAlg/intflapack.h
===================================================================
--- /trunk/SophyaExt/LinAlg/intflapack.h	(revision 3571)
+++ /trunk/SophyaExt/LinAlg/intflapack.h	(revision 3572)
@@ -40,5 +40,5 @@
   int SVDDriver(TArray<T>& a, TArray<T> & s, 
 		TArray<T>* up=NULL, TArray<T> * vtp=NULL);
-  int_4 ilaenv_en_C(int_4 ispec,char *name,char *opts,int_4 n1,int_4 n2,int_4 n3,int_4 n4);
+  int_4 ilaenv_en_C(int_4 ispec,const char *name,const char *opts,int_4 n1,int_4 n2,int_4 n3,int_4 n4);
   int_4 type2i4(void *val,int nbytes);
 
Index: /trunk/SophyaExt/XAstroPack/mollweide.cc
===================================================================
--- /trunk/SophyaExt/XAstroPack/mollweide.cc	(revision 3571)
+++ /trunk/SophyaExt/XAstroPack/mollweide.cc	(revision 3572)
@@ -48,5 +48,5 @@
  \endverbatim
 */
-double MollWeide_XY(double longitude,double latitude,double* xmoll,double*ymoll)
+double MollWeide_XY(double longitude,double latitude,double& xmoll,double& ymoll)
 {
  int i,niter=2;
@@ -90,6 +90,6 @@
 
  t0 *= asgn;
- *xmoll = 2.*M_SQRT2*(longitude-M_PI)/M_PI*cos(t0);
- *ymoll = M_SQRT2*sin(t0);
+ xmoll = 2.*M_SQRT2*(longitude-M_PI)/M_PI*cos(t0);
+ ymoll = M_SQRT2*sin(t0);
 
  return t0;
@@ -118,9 +118,9 @@
  \endverbatim
 */
-double MollWeide_LL(double xmoll,double ymoll,double* longitude,double* latitude)
+double MollWeide_LL(double xmoll,double ymoll,double& longitude,double& latitude)
 {
  double t,a,eps=1.e-20;
 
- *longitude = *latitude = -999.;
+ longitude = latitude = -999.;
  if(xmoll<-2*M_SQRT2 || xmoll>2*M_SQRT2) return(-901.);
  if(ymoll<-M_SQRT2 || ymoll>M_SQRT2) return(-902.);
@@ -130,9 +130,9 @@
 
  a = (2.*t+sin(2.*t))/M_PI; if(a<-1.) a=-1.; else if(a>1.) a=1.;
- *latitude = asin(a);
+ latitude = asin(a);
 
  a= cos(t);
  if(fabs(a)<eps) return(-903.);
- *longitude = M_PI*(xmoll/(2.*M_SQRT2*a)+1.);
+ longitude = M_PI*(xmoll/(2.*M_SQRT2*a)+1.);
 
  return(t);
Index: /trunk/SophyaExt/XAstroPack/mollweide.h
===================================================================
--- /trunk/SophyaExt/XAstroPack/mollweide.h	(revision 3571)
+++ /trunk/SophyaExt/XAstroPack/mollweide.h	(revision 3572)
@@ -1,5 +1,5 @@
 #ifndef MOLLWEIDE_H_SEEN
 #define MOLLWEIDE_H_SEEN
-double MollWeide_XY(double longitude,double latitude,double* xmoll,double* ymoll);
-double MollWeide_LL(double xmoll,double ymoll,double* longitude,double* latitude);
+double MollWeide_XY(double longitude,double latitude,double& xmoll,double& ymoll);
+double MollWeide_LL(double xmoll,double ymoll,double& longitude,double& latitude);
 #endif
Index: /trunk/SophyaExt/XAstroPack/tstmollweide.cc
===================================================================
--- /trunk/SophyaExt/XAstroPack/tstmollweide.cc	(revision 3571)
+++ /trunk/SophyaExt/XAstroPack/tstmollweide.cc	(revision 3572)
@@ -20,5 +20,5 @@
    a = 2.*tvrai+sin(2.*tvrai);
    lat = asin(a/M_PI);
-   tcalc = MollWeide_XY(0.,lat,&x,&y);
+   tcalc = MollWeide_XY(0.,lat,x,y);
    if(fabs(tcalc-tvrai)>tll) {tll = fabs(tcalc-tvrai); txy=tvrai;}
    if(file) fprintf(file,"%e %e %e %e\n",tvrai,tcalc,a,tcalc-tvrai);
@@ -28,6 +28,6 @@
 
  for(lon=0.;lon<360.;lon+=2.5) for(lat=-90.;lat<=90.1;lat+=2.5) {
-   txy = MollWeide_XY(lon*M_PI/180.,lat*M_PI/180.,&x,&y);
-   tll = MollWeide_LL(x,y,&longitude,&latitude);
+   txy = MollWeide_XY(lon*M_PI/180.,lat*M_PI/180.,x,y);
+   tll = MollWeide_LL(x,y,longitude,latitude);
    longitude *= 180./M_PI;
    latitude  *= 180./M_PI;
Index: /trunk/SophyaLib/BaseTools/dvlist.cc
===================================================================
--- /trunk/SophyaLib/BaseTools/dvlist.cc	(revision 3571)
+++ /trunk/SophyaLib/BaseTools/dvlist.cc	(revision 3572)
@@ -115,5 +115,5 @@
 /* --Methode-- */
 /*! Copy constructor - Object initialized using the PPF file \b flnm */
-DVList::DVList(char *flnm)
+DVList::DVList(const char *flnm)
 {
 PInPersist s(flnm);
@@ -192,5 +192,5 @@
 // int_8   GetI(string const& key, int_8  def=-1)
 // r_8     GetD(string const& key, r_8 def=-9.e19)
-// string  GetS(string const& key, char* def="")
+// string  GetS(string const& key, const char* def="")
 //	Retourne la valeur de la variable de nom "key" et de type entier, réél, 
 //	chaine de caracteres.
@@ -245,5 +245,5 @@
 /*! Returns the value corresponding to name \b key, converted to string
     Default value \b def is returned if name \b key not found */
-string      DVList::GetS(string const& key, char* def) const
+string      DVList::GetS(string const& key, const char* def) const
 {
 ValList::const_iterator it = mvlist.find(key);
@@ -265,5 +265,5 @@
 // void  SetD(string const& key, r_8 val)
 // void  SetZ(string const& key, complex<r_8> val)
-// void  SetS(string const& key, char*  val)
+// void  SetS(string const& key, const char*  val)
 // void  SetS(string const& key, string val)
 //	Crée la variable de nom "key", de type entier, double, complexe, string et 
@@ -322,5 +322,5 @@
 /* --Methode-- */
 /*! Appends or sets the string value \b val in the list with name \b key */
-void        DVList::SetS(string const& key, char const* val)
+void        DVList::SetS(string const& key, const char * val)
 {
 MuTyV div(val);
Index: /trunk/SophyaLib/BaseTools/dvlist.h
===================================================================
--- /trunk/SophyaLib/BaseTools/dvlist.h	(revision 3571)
+++ /trunk/SophyaLib/BaseTools/dvlist.h	(revision 3572)
@@ -25,5 +25,5 @@
                     DVList();
                     DVList(const DVList&);
-                    DVList(char *flnm);
+                    DVList(const char *flnm);
 
   virtual           ~DVList();
@@ -35,12 +35,12 @@
 
   //! Returns the number of elements (variables) in DVList object 
-  inline int	    Size() { return(mvlist.size()); }
+  inline size_t     Size() const { return(mvlist.size()); }
   //! Returns the number of elements (variables) in DVList object 
-  inline int	    NVar() { return(mvlist.size()); }
+  inline size_t     NVar() const { return(mvlist.size()); }
 
   int_8             GetI(string const& key, int_8 def=-1) const;
   r_8               GetD(string const& key, r_8 def=-9.e19) const;
   complex<r_8>      GetZ(string const& key, complex<r_8> def=-9.e19) const;
-  string            GetS(string const& key, char* def="") const;
+  string            GetS(string const& key, const char* def="") const;
   string            GetComment(string const& key) const;
 
@@ -51,5 +51,5 @@
   void              SetD(string const& key, r_8 val);
   void              SetZ(string const& key, complex<r_8> val);
-  void              SetS(string const& key, char const*  val);
+  void              SetS(string const& key, const char *  val);
   void              SetS(string const& key, string const& val);
   void              SetT(string const& key, TimeStamp const& val);
Index: /trunk/SophyaLib/BaseTools/ppfbinstream.cc
===================================================================
--- /trunk/SophyaLib/BaseTools/ppfbinstream.cc	(revision 3571)
+++ /trunk/SophyaLib/BaseTools/ppfbinstream.cc	(revision 3572)
@@ -511,5 +511,5 @@
 	GetI8(i8);  // nb objets toplevel
 	GetU8(ui8); // nb de nametag
-	for(int kt=0; kt<ui8; kt++) {
+	for(uint_8 kt=0; kt<ui8; kt++) {
 	  GetRawI4(i4);
 	  s->seekg(i4,ios::cur);
@@ -994,5 +994,5 @@
   int_4 tsz;
   GetRawI4(tsz);
-  if (tsz != sz)
+  if (tsz != (int_4)sz)
     throw FileFormatExc("PPFBinaryInputStream::GetPosTagTable Size mismatch ");
   for(int kk=0; kk<tsz; kk++)
@@ -1036,5 +1036,5 @@
   // Pour indenter lors de l'impression 
   #define _MXINDENT_ 10 
-  char * indents[_MXINDENT_+1] = {"","  ", "    ", "      ", "        ", "          ",
+  const char * indents[_MXINDENT_+1] = {"","  ", "    ", "      ", "        ", "          ",
 				    "            ", "              ", "                ",
 				    "                  ", "                    "};
@@ -1150,5 +1150,5 @@
 	  GetI8s(stats,8); 
 	  GetRawU8(ui8); // nb de nametag
-	  for(int kt=0; kt<ui8; kt++) {
+	  for(uint_8 kt=0; kt<ui8; kt++) {
 	    string tname;
 	    GetRawI8(i8);
Index: /trunk/SophyaLib/BaseTools/sophyainit.cc
===================================================================
--- /trunk/SophyaLib/BaseTools/sophyainit.cc	(revision 3571)
+++ /trunk/SophyaLib/BaseTools/sophyainit.cc	(revision 3572)
@@ -193,5 +193,5 @@
 double SophyaInitiator::GetVersion(string& svers)
 {
-  char* compiler = 0;
+  const char* compiler = 0;
   #ifdef __GNUG__
   compiler = "gcc " __VERSION__;
Index: /trunk/SophyaLib/BaseTools/sversion.h
===================================================================
--- /trunk/SophyaLib/BaseTools/sversion.h	(revision 3571)
+++ /trunk/SophyaLib/BaseTools/sversion.h	(revision 3572)
@@ -3,6 +3,6 @@
 
 #define SOPHYA_VERSION   2.1
-#define SOPHYA_REVISION  25
-#define SOPHYA_TAG       "V_Sep2008"
+#define SOPHYA_REVISION  30
+#define SOPHYA_TAG       "V_Fev2009"
 
 #endif
Index: /trunk/SophyaLib/HiStats/Makefile
===================================================================
--- /trunk/SophyaLib/HiStats/Makefile	(revision 3571)
+++ /trunk/SophyaLib/HiStats/Makefile	(revision 3572)
@@ -4,8 +4,8 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
-$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
@@ -228,7 +228,6 @@
   $(SOPHYAINCP)utils.h hisprof.h histerr.h \
   hist2err.h $(SOPHYAINCP)tmatrix.h ntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h xntuple.h \
-  datatable.h basedtable.h \
-  $(SOPHYAINCP)segdatablock.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h datatable.h \
+  basedtable.h $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)thsafeop.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
@@ -384,20 +383,2 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swppfdtable.cc
  
-$(SOPHYAOBJP)xntuple.o: xntuple.cc $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)perrors.h xntuple.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xntuple.cc
- 
Index: /trunk/SophyaLib/HiStats/histats.h
===================================================================
--- /trunk/SophyaLib/HiStats/histats.h	(revision 3571)
+++ /trunk/SophyaLib/HiStats/histats.h	(revision 3572)
@@ -9,5 +9,4 @@
 #include "hist2err.h"
 #include "ntuple.h"
-#include "xntuple.h"
 #include "datatable.h"
 #include "swppfdtable.h"
